%define upstream_name	 Catalyst-Plugin-XMLRPC
%define upstream_version 2.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:	Dispatch XMLRPC methods with Catalyst
License:	Artistic/GPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz


BuildRequires:	perl(Catalyst)
BuildRequires:	perl(Class::Data::Inheritable)
BuildRequires:	perl(inc::Module::Install)
BuildRequires:	perl(RPC::XML)

BuildArch:	noarch


%description
This plugin allows your controller class to dispatch XMLRPC methods
from its own class.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/Catalyst


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 2.10.0-10.mga8
+ Revision: 1503547
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 2.10.0-9.mga7
+ Revision: 1282237
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 2.10.0-8.mga7
+ Revision: 1167781
- BR perl(inc::Module::Install)

* Sat Jun 18 2016 pterjan <pterjan> 2.10.0-7.mga6
+ Revision: 1023397
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 2.10.0-6.mga6
+ Revision: 935210
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.10.0-5.mga5
+ Revision: 750824
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.10.0-3.mga4
+ Revision: 509761
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.10.0-2.mga3
+ Revision: 364104
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 2.10.0-1.mga1
+ Revision: 40317
- mageia rebuild
- imported package perl-Catalyst-Plugin-XMLRPC

